BusinessTransactions
Create Transactions
POST
Scopes: transaction:create
OAuth2ClientCredentialsBearer transaction:createheader
AuthorizationBearer <token>Scope: transaction:create
business_id*Business IdThe id of the business
Format
biz_stringapplication/json- body
Items
items <= 100[index: integer]?Transactions accepted for processing
application/json- response
data*array<>errors*array<>curl -X POST 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/transactions' \ -H 'Content-Type: application/json' \ -d '[ { "description": "Payment from Acme Corp", "transaction_datetime": "2025-01-15T14:30:00Z", "amount": 150.75, "transaction_id": "plaid_txn_abc123", "external_account_id": "eac_WQMDNUHpBThYSNh4AprDBo" }]'Example Response
{ "data": [ { "external_id": "1234567890", "amount": 520.56, "datetime": "2019-08-24T14:15:22Z", "description": "Payment from Acme Corp", "posted": true, "type": "business", "reviewed": true, "metadata_": {}, "id": "txn_WQMDNUHpBThYSNh4AprDBo", "external_account_id": "eac_WQMDNUHpBThYSNh4AprDBo", "merchant": "Amazon", "category": [ { "amount": "89.23", "name": "Office Supplies" } ], "status": "confirmed", "line_items": [ { "id": "le_GA6EG2qFxA97NZHtxeLPUy", "ledger_id": "ldg_Ns6rRRLYVZPh4cVB7MDby5", "category": "Office Supplies", "description": "Office Supplies", "amount": -89.23 } ], "invoice_payments": null, "refund_payments": null, "bill_payments": null, "tags": { "Job": [ { "amount": "3000.00", "value": "Maple Street Remodel" }, { "amount": "1500.00", "value": "Downtown Office Rewire" } ] } } ], "errors": [ { "error": "string", "transaction_id": "string" } ]}